package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microdata.exceptions;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.location.EntityLocation;
import ru.yandex.webmaster3.core.semantic.semantic_document_parser.microdata.data.Microdata;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 11/8/11
 * Time: 1:52 AM
 */
public class SchemaMisspellMicrodataValidatorException extends MicrodataValidatorException{

    final String key;

    public SchemaMisspellMicrodataValidatorException(final String type, final boolean isCritical, final String message, final Microdata microdata) {
        super(isCritical, message, microdata);
        this.key="sorg_misspell_"+type;
    }

    public SchemaMisspellMicrodataValidatorException(final String type, final boolean isCritical, final String message, final Microdata microdata, final EntityLocation location) {
        super(isCritical, message, microdata,location);
        this.key="sorg_misspell_"+type;
    }

    @Override
    public String getKey() {
        return key;
    }
}
